* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background-color: #c9d6ff;
  background: linear-gradient(to right, #e2e2e2, #c9d6ff);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100vh;
}

.container {
  background-color: #fff;
  border-radius: 10px 150px 10px 150px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.35);
  position: relative;
  overflow: hidden;
  width: 768px;
  max-width: 100%;
  min-height: 480px;
}

.input-group-text {
    background-color: #a82d2d; 
    color: white; 
	height: calc(2.5rem + 2px);
}

.form-select-custom-lg {
  height: calc(1.5em + 0.75rem + 8px); 
  padding: 0.375rem 0.75rem; 
  line-height: 1.5;
}

.logo {
    width: 140px; 
    margin: 20px; 
	border-radius: 50px;
}

.input-group:hover {
  transform: translateY(-3px); 
  border-color: #a82d2d; 
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); 
  transition: transform 0.3s ease, border-color 0.3s ease, box-shadow 0.3s ease;
}

.input-group:focus-within {
  transform: translateY(-3px); 
  border-color: #a82d2d;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}


.alert {
  border-radius: 10px;
  height: 50px;
}

.alert-danger {
  background-color: #f8d7da;
  border-color: #f5c6cb;
}

.alert-info {
  background-color: #d1ecf1;
  border-color: #bee5eb;
}

.alert i {
  color: #ffffff; 
}

.alert span {
  font-size: 0.8rem;
  color: #333;
}

.container span {
  font-size: 13px;
}

.container .login_icon {
  font-size: 18px;
}

.container .text-header {
  font-size: 12px;
  margin: 10px;
}

.container a {
  color: #333;
  font-size: 13px;
  text-decoration: none;
  margin: 15px 0 10px;
}
.container button {
  background-color: #a82d2d;
  color: #fff;
  padding: 10px 45px;
  border: 1px solid transparent;
  border-radius: 50px;
  font-weight: 600;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  margin-top: 15px;
  cursor: pointer;
  transition: transform 0.3s ease, background-color 0.3s ease; 
}

.container button:hover {
  transform: translateY(-3px);
  background-color: #f5c6cb; 
  color: #1D5074;
}

.container button.hidden {
  background-color: transparent;
  border-color: #fff;
}

.container form {
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 40px;
  height: 100%;
}

.container input {
  background-color: #eee;
  border: none;
  padding: 10px 15px;
  font-size: 13px;
  border-radius: 0px, 0px, 8px, 8px;
  width: 100%;
  outline: none;
  border-color: #a82d2d;
}

.sign-in {
  position: absolute;
  top: 0;
  height: 100%;
  transition: all 0.6s ease-in-out;
}

.sign-in {
  right: 0;
  width: 50%;
  z-index: 2;
}

.container.active .sign-in {
  transform: translateX(100%);
}

.toogle-container {
  position: absolute;
  top: 0;
  left: 0%;
  width: 50%;
  height: 100%;
  overflow: hidden;
  border-radius: 10px 150px 150px 150px;
  z-index: 1000;
  transition: all 0.6s ease-in-out;
}

.container.active .toogle-container {
  transform: translateX(-100%);
  border-radius: 150px;
}

.toogle {
  background-color: #1D5074;
  height: 100%;
  background: linear-gradient(to right, #2A7ABD, #1D5074);
  color: #fff;
  position: relative;
  left: 0%;
  width: 200%;
  transform: translateX(0);
  transition: all 0.6s ease-in-out;
}

.container.active .toogle {
  transform: translateX(50%);
}

.toogle-panel {
  position: absolute;
  width: 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 0 30px;
  text-align: center;
  top: 0;
  transform: translateX(0);
  transition: all 0.6s ease-in-out;
}

.toogle-left {
  left: 0;
  transform: translateX(0);
}

.container.active .toogle-left {
  transform: translateX(200%);
}